package ru.myitschool.work.data.network.api;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Header;
import retrofit2.http.POST;
import ru.myitschool.work.data.dto.Code;
import ru.myitschool.work.data.dto.EmployeeDataDto;

public interface EmployeeApi {
    @POST("/api/employee/auth")
    Call<Void> auth(@Header("Authorization") String auth);

    @POST("/api/employee/info")
    Call<EmployeeDataDto> info(@Header("Authorization") String auth);

    @POST("/api/employee/open")
    Call<Void> open(@Header("Authorization") String auth, @Body Code code);
}
